knights.cpp File Reference
`#include <gecode/driver.hh>`
`#include <gecode/int.hh>`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Warnsdorff
| Custom brancher for knight's tours using Warnsdorff's rule. More...
class | Warnsdorff::Choice
| Choice More...
class | Knights
| Base-class for knight's tour example. More...
class | KnightsReified
| Example: n-Knight's tour (simple model) More...
class | KnightsCircuit
| Example: n-Knights tour (model using circuit) More...